Page MenuHomePhabricator

solve_disambiguation crashes - With no default option it cannot be forced
Closed, ResolvedPublic

Description

C:\pwb>pwb.py solve_disambiguation -family:wikisource Autor:Karel_Bulíř

Alternatives for [[cs:Autor:Karel Bulíř]]

  1 - Autor:Karel Bulíř (1840–1917)
  2 - Autor:Karel Bulíř (1868–1939)
  3 - Autor:Karel Bulíř (1897–1962)

Found 2 references.
Will work on 2 pages.
Retrieving 2 pages from wikisource:cs.


>>> Diskuse s uživatelem:Sapfan <<<
Traceback (most recent call last):
  File "C:\pwb\pwb.py", line 263, in <module>
    if not main():
  File "C:\pwb\pwb.py", line 257, in main
    run_python_file(filename, [filename] + args, argvu, file_package)
  File "C:\pwb\pwb.py", line 121, in run_python_file
    main_mod.__dict__)
  File ".\scripts\solve_disambiguation.py", line 1233, in <module>
    main()
  File ".\scripts\solve_disambiguation.py", line 1229, in main
    bot.run()
  File ".\scripts\solve_disambiguation.py", line 1138, in run
    self.treat(refPage, disambPage)
  File ".\scripts\solve_disambiguation.py", line 840, in treat
    force=True)
  File "C:\pwb\pywikibot\bot.py", line 445, in input_choice
    automatic_quit=automatic_quit, force=force)
  File "C:\pwb\pywikibot\userinterfaces\terminal_interface_base.py", line 353, in input_choice
    raise ValueError('With no default option it cannot be forced')
ValueError: With no default option it cannot be forced
<type 'exceptions.ValueError'>
CRITICAL: Closing network session.

Event Timeline

JAnD created this task.Mar 27 2017, 7:00 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptMar 27 2017, 7:00 AM

It is works if revert the Merge "[bugfix] Don't ask for an option when -always is given" revision

Dvorapa removed a subscriber: Dvorapa.Jun 26 2017, 5:43 PM
Xqt claimed this task.Jun 27 2017, 5:09 PM
Xqt triaged this task as Medium priority.

Change 361699 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] Only force input_choise if self.always is given

https://gerrit.wikimedia.org/r/361699

Change 361699 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Only force input_choise if self.always is given

https://gerrit.wikimedia.org/r/361699

Dalba closed this task as Resolved.Jun 28 2017, 3:18 AM